/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

//分页查询
export function selectWmDaProjectList(query) {
  return request({
    url: '/admin/wmdaproject/selectWmDaProjectList',
    method: 'get',
    params: query
  })
}

// 修改
export function updateWmDaProjectsById(obj) {
  return request({
    url: '/admin/wmdaproject/updateWmDaProjectsById',
    method: 'post',
    data: obj
  })
}

// 新增
export function insertWmDaProjects(obj) {
  return request({
    url: '/admin/wmdaproject/insertWmDaProjects',
    method: 'post',
    data: obj
  })
}

// 查看
export function selectProjects(obj) {
  return request({
    url: '/admin/wmdaproject/selectProjects',
    method: 'post',
    data: obj
  })
}

// 上传图片
export function upload(data) {
  return request({
    url: '/admin/sys-file/upload',
    method: 'post',
    headers: {
      'Content-Type': 'multipart/form-data'
    },
    data: data
  })
}

// 查询客户管理列表
export function getCustomerPage(query) {
  return request({
    url: '/admin/wmDaCustomer/list',
    method: 'get',
    params: query
  })
}

// 新增
export function saveCustomer(obj) {
  return request({
    url: '/admin/wmDaCustomer',
    method: 'post',
    data: obj
  })
}

// 修改
export function updateCustomer(obj) {
  return request({
    url: '/admin/wmDaCustomer',
    method: 'put',
    data: obj
  })
}

// 查看
export function getCustomerById(obj) {
  return request({
    url: `/admin/wmDaCustomer/${obj.id}`,
    method: 'get'
  })
}
